package com.mobisoft.common.testcases;

import java.net.URL;

import org.openqa.selenium.remote.DesiredCapabilities;
import org.testng.Assert;
import org.testng.annotations.Test;

import io.appium.java_client.ios.IOSDriver;

public class MobileBrowserAutomationTest {

	public IOSDriver iOSdriver;

	@Test(priority = 1, enabled = true)
	public void launchOnIosSimulatorBrowser() throws Exception {
		DesiredCapabilities capabilities = new DesiredCapabilities();
		capabilities.setCapability("platformName", "iOS");
		capabilities.setCapability("deviceName", "iPhone 15");
		capabilities.setCapability("platformVersion", "17.4");
		capabilities.setCapability("browserName", "Safari");
		capabilities.setCapability("automationName", "XCUITest");
		iOSdriver = new IOSDriver(new URL("http://127.0.0.1:4723"),
				capabilities);
		iOSdriver.get("https://mobisoftinfotech.com/");
		Assert.assertEquals(iOSdriver.getCurrentUrl(), "https://mobisoftinfotech.com/","Incorrect URL");
		
	}

}
